Subject: Summary: MPI on dual linux boxes

From: Alexei Matveev <[email-masked]>
Date: Mon, 31 Jan 2000 10:29:59 +0100

Requested summary of responses on a posted
last week question on MPI+Linux clusters.

Two distributions are used: LAMMPI and MPICH.
The first seems to be more than a plain lib.
MPICH is, however, better supported on a
variety of platforms.

Original message.

Alexei Matveev wrote:

> Dear CCL'ers,
>
> Does anybody have experience in
> running (compiling) MPI programs
> on Linux cluster of _DUAL_ boxes.
> Is LAM/MPI distributed with SuSE 6.1 an appropriate
> choice? Particularly for running two processes
> on one box? Any other choices?
> We would appreciate any comments on that matter.
>
> Thanks in anticipation,
> Walter Alsheimer, Alexei Matveev

David van der Spoel wrote:

>
> I am running MD simulations on 4 SMP PII/I machines, with LAM. I just
> grabbed the lam source and compiled it (note to turn on usysv)
> No problems due to LAM, but scaling depends on your application.
> Sometimes
> it is better to define manually which process runs where, to use the SMP
>
> capability. You can do thsi with a scheme file.
>
> Groeten, David.
> ________________________________________________________________________
>
> Dr. David van der Spoel         Biomedical center, Dept. of Biochemistry
>
> s-mail: Husargatan 3, Box 576,  75123 Uppsala, Sweden
> e-mail: [email-masked]    www: http://zorn.bmc.uu.se/~spoel
> phone:  46 18 471 4205          fax: 46 18 511 755
> ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Henrick Alex Ninaber wrote:

> There are at least two free version of MPI: LAMMPI and MPICH. Lammpi
> runs
> nice on a our 6 machines with each two processors (Linux/Redhat
> combination). Lammpi has some additional stuff which will make the
> communication easier (read faster) if the two processors are in the same
>
> machine. We have never tested this. The newest version you can download
> from the lammpi site and should cleanly compile. Check out the remark
> they
> make on kernel versions, some have problems in scaling correctly. MPICH
> probably has the same problem as it is a kernel issue. The rumour is
> that
> Lammpi is faster compared to MPICH. In return, MPICH is better supported
>
> on different platforms. This is something I heard a year ago, so perhaps
>
> those issues are resolved. Another thing which might be important is the
>
> support of MPI2.0 calls. Check out http://www.mpi-forum.org for the
> documents on MPI2.0 and see if you want to use any of the additional
> calls.  Lammpi supports a number of them, I don't know about MPICH.
>
> Hope this helps,
>
> Alex

"Dr. Peter Burger" wrote:

> We use the mpich mpi distribution - I have played abit with LAM but
> mpich
> seems to be more complete and poring applications seems easier.
> The new 1.2 version also supports SMP
>
> Peter

[email-masked] wrote:

> We've use both mpich and LAM.  We use the Fujitsu FORTRAN compiler.
> Compile times are kind of long, but performance is fine.  We've used
> both dual processors boxes, and clusters of dual processor boxes.
> Haven't tried to use anything faster than 100 Mbit ethernet between
> boxes yet.
>
> -robert

Feyzi Inanc wrote:

> Iowa State University has a 64 machine cluster (ALICE) made up of
> Pentium Pro machines.  As far as
> I know, those machines are dual processor machines (If that is what you
> mean by dual processor
> boxes).  MPICH is installed on that cluster and they also have PGI
> Fortran90 available..  I did
> try out Lahey Fujitsu Fortran on it for evaluation and it worked fine
> and faster than PGF90.  The
> machines are interconnected through 100mbits/s fast ethernet cards.  I
> got very good scaling out of the
> cluster but most of it comes from algorithm though.  One thing I heard
> from the ALICE people is that
> they had some stability problems when both processors were put into
> service.  They preferred using
> kernels utilizing only one processor out of the two processors on the
> machines.
> --
> Feyzi INANC
>
> Iowa State University,  Center for Nondestructive Evaluation
> Applied Sciences Complex II, 1915 Scholl Road, Ames IA 50011
>
> Ph. (515) 294 9738  Fax. (515) 294 7771
> E-Mail. [email-masked]
> http://www.cnde.iastate.edu